%define	name	freerdist
%define	version	0.9.1
%define	filever	0.91
%define	release	1
%define	serial	1

Summary:	Maintains identical copies of files on multiple machines.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{serial}
Copyright:	BSD
Group:		Applications/System
URL:		ftp://ftp.astron.com/pub/freerdist
Vendor:		Christos Zoulas <christos@astron.com>
Source:		ftp://ftp.astron.com/pub/freerdist/%{name}-%{filever}.tar.gz
Patch0:		freerdist-0.9.0-glibc.patch
Patch1:		rdist-6.1.5-linux.patch
# Patch2:		rdist-6.1.5-links.patch
Patch3:		freerdist-0.9.0-oldpath.patch
# Patch4:		freerdist-0.9.0-hardlink.patch
Provides:	rdist
BuildRoot:	/var/tmp/%{name}-%{version}-root

Distribution:	Red Hat Contrib|Net
Packager:	Red Hat Contrib|Net <rhcn-bugs@redhat.com>

%description
The rdist program maintains identical copies of files on multiple
hosts. If possible, rdist will preserve the owner, group, mode and
mtime of files and it can update programs that are executing.

%prep
%setup -q -n %{name}-%{filever}
%patch0 -p1 -b .glibc
%patch1 -p1 -b .linux
# %patch2 -p1 -b .links
%patch3 -p1 -b .oldpath
# %patch4 -p1 -b .hardlink

%build
make CC=gcc CFLAGS_OS=$RPM_OPT_FLAGS

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man8,sbin}

install -s -m755 src/rdist $RPM_BUILD_ROOT/usr/bin
install -s -m755 src/rdistd $RPM_BUILD_ROOT/usr/sbin
ln -sf ../sbin/rdistd $RPM_BUILD_ROOT/usr/bin/rdistd

install -m644 doc/rdist.man $RPM_BUILD_ROOT/usr/man/man1/rdist.1
install -m644 doc/rdistd.man $RPM_BUILD_ROOT/usr/man/man8/rdist.8

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc README ChangeLog
/usr/bin/rdist
/usr/bin/rdistd
/usr/sbin/rdistd
/usr/man/man1/rdist.1
/usr/man/man8/rdist.8

%changelog
* Mon Nov  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [freerdist-0.9.1-1]
- Updated to version 0.9.1
- add OpenBSD support (Todd.Miller@courtesan.com/OpenBSD)
- Add HAVE_FSTYPENAME define to use the f_fstypename field
  in struct statfs.  All the BSD's have this now, but I only
  changed the Open/Net configs since I don't know at what OS
  version the others added this.
  (Todd.Miller@courtesan.com/OpenBSD)
- use a complete copy of vsnprintf() instead of relying on
  non portable doprnt() hacks.
- Make the code use full/strict prototypes and compile with
  gcc -Wall.

- in src/filesys.c, prevent a loop if dist'ing a file whose
  parent dir doesn't exist on the target machine.
  (Todd.Miller@courtesan.com/OpenBSD)
- defs.h should not define buf[] since it is not shared among
  the .c files. (Todd.Miller@courtesan.com/OpenBSD)
- preserve the value of errno in the reap() signal handler
  (Todd.Miller@courtesan.com/OpenBSD)
- getfsstat() returns a long, not  a ulong so check for -1
  (Todd.Miller@courtesan.com/OpenBSD)
- fix gid/uid caching code vs numchkowner/numchkgrp in common.c
  previously would cache things like ":654" and try to use that
  as a user name.  (Todd.Miller@courtesan.com/OpenBSD)
- readlink(2) does not NULL terminate the buffer so you have
  to do so by hand.  (Todd.Miller@courtesan.com/OpenBSD)
- fix select for systems whose select can deal with 
  > FD_SETSIZE descriptor (ie: any modern OS).
  (Todd.Miller@courtesan.com/OpenBSD)
- fix Ultrix setmountent() (no return but the function returns
  a value).  (Todd.Miller@courtesan.com/OpenBSD)
- memory consumption fix from johnh@isi.edu (with corrections
  from Todd.Miller@courtesan.com) rdist's stack would grow
  very large for dirs with many hard links, now we dynamically
  allocate space.
- hpux now has setreuid(), so we don't really need to define
  it in terms of setresuid(), but we do so anyway. Make sure
  that we don't cause cpp errors from our macro

* Tue Jul 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [freerdist-0.9.0-1]
- Changed from rdist to freerdist
- See ChangeLog in docdir
- Provides: rdist
- Using CC=gcc
- Using CFLAGS_OS to pass RPM_OPT_FLAGS

* Fri Jul  9 1999 Jeff Johnson <jbj@redhat.com>
- revert to last version unencumbered by copyright.

* Thu Jun  3 1999 Jeff Johnson <jbj@redhat.com>
- permit rdist to distribute hard links (#3228)

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/rdistd symlink (#2154)
- update docs to reflect /usr/bin/oldrdist change.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/oldrdist for old rdist compatibility path (#2044).

* Wed Feb 17 1999 Jeff Johnson <jbj@redhat.com>
- dynamic allocation for link info (#1046)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed the url to the source
- fixed the copyright field

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
